LibreOffice: MediaProperties Service Reference

LibreOffice LibreOffice 7.0 SDK API Reference

Public Attributes | List of all members
MediaProperties Service Referencepublished

This service describes the properties that are used when using the XGraphicProvider interface methods. More...

`import"MediaProperties.idl";`

## Public Attributes
string | URL
| Property that describes the location of the source or target of the graphic as URL. More...
::com::sun::star::io::XInputStream | InputStream
| This property is only used for loading graphics or querying graphic descriptors. More...
::com::sun::star::io::XStream | OutputStream
| This property is only used for storing graphics. More...
string | MimeType
| This property is only used for storing graphics and describes the format into which the graphic is to be converted. More...
::com::sun::star::beans::PropertyValues | FilterData
| Additional properties that will be passed to the appropriate filter module. More...

## Detailed Description

This service describes the properties that are used when using the XGraphicProvider interface methods.

## Member Data Documentation

## ◆ FilterData

::com::sun::star::beans::PropertyValues FilterData
| optionalproperty

Additional properties that will be passed to the appropriate filter module.

## ◆ InputStream

::com::sun::star::io::XInputStream InputStream
| optionalproperty

This property is only used for loading graphics or querying graphic descriptors.

A InputStream can be used instead of the URL property

See also
  com::sun::star::io::XInputStream

## ◆ MimeType

string MimeType
| optionalproperty

This property is only used for storing graphics and describes the format into which the graphic is to be converted.

At the moment, the following mime types are supported for storing graphics:

- image/bmp
- image/gif
- image/jpeg
- image/png
- image/tiff
- image/svg+xml
- image/x-cmu-raster
- image/x-emf
- image/x-eps
- image/x-met
- image/x-pict
- image/x-portable-bitmap
- image/x-portable-pixmap
- image/x-wmf
- image/x-svm
- image/x-xpixmap
- image/x-vclgraphic

## ◆ OutputStream

::com::sun::star::io::XStream OutputStream
| optionalproperty

This property is only used for storing graphics.

A OutputStream can be used instead of the URL property

See also
  com::sun::star::io::XStream

## ◆ URL

string URL
| optionalproperty

Property that describes the location of the source or target of the graphic as URL.

A URL can be used instead of the InputStream or OutputStream property

In addition to the normal protocols like file:// or http:// you can use private URLs as follows to get access to graphics lying inside the graphicrepository system within an Office context:

- `private:graphicrepository/<path_in_repository>`

Note: As of LibreOffice 6.1 GraphicObject scheme URLs are not supported anymore. For example:

- vnd.sun.star.GraphicObject:10000000000001940000012FB99807BD

The documentation for this service was generated from the following file:

- com/sun/star/graphic/MediaProperties.idl